from sqlalchemy import Column, TIMESTAMP, VARCHAR, create_engine
from sqlalchemy_utils import UUIDType
from sqlalchemy.ext.declarative import declarative_base

Base = declarative_base()

class TaskDestination(Base):
    __tablename__ = "task_destination"

    uuid = Column(UUIDType,primary_key=True)
    task_request_uuid = Column(UUIDType)
    destination_name = Column(VARCHAR(50))
    created_at = Column(TIMESTAMP,server_default=sa.func.current_timestamp())
    updated_at = Column(TIMESTAMP,onupdate=sa.func.current_timestamp())

if __name__ == "__main__":
    engine = create_engine("sqlalchemy.url")
    Base.metadata.create_all(bind=engine)