from sqlalchemy import Column, TIMESTAMP, JSON, VARCHAR, create_engine
from sqlalchemy_utils import UUIDType
from sqlalchemy.ext.declarative import declarative_base

Base = declarative_base()

class TaskRequest(Base):
    __tablename__ = 'task_request'

    uuid = Column(UUIDType, primary_key=True)
    task_uuid = Column(UUIDType)
    task_name = Column(VARCHAR(50))
    json_request = Column(JSON)
    json_response = Column(JSON)
    parameters = Column(VARCHAR(255))
    created_at = Column(TIMESTAMP,server_default=sa.func.current_timestamp())
    updated_at = Column(TIMESTAMP,onupdate=sa.func.current_timestamp())

if __name__ == "__main__":
    engine = create_engine("sqlalchemy.url")
    Base.metadata.create_all(bind=engine)