from sqlalchemy import Column, TIMESTAMP, VARCHAR, create_engine
from sqlalchemy_utils import UUIDType
from sqlalchemy.ext.declarative import declarative_base
import sqlalchemy as sa

Base = declarative_base()

class Tasks(Base):
    __tablename__ = "tasks"

    uuid = Column(UUIDType,primary_key=True)
    identifier = Column(VARCHAR(50))
    data_schema = Column(VARCHAR(10485760))
    created_at = Column(TIMESTAMP,server_default=sa.func.current_timestamp())
    updated_at = Column(TIMESTAMP,onupdate=sa.func.current_timestamp())

if __name__ == "__main__":
    engine = create_engine("postgresql://dev:rUtbkp6uE752Amsw@35.223.124.237:5432/task_manager")
    Base.metadata.create_all(bind=engine)